import { GraphQLDirective, DirectiveNode } from "graphql";
import { GQLElement } from "../../classes/GQLElement";
export declare class Directive<ExtensionType = any> extends GQLElement<GraphQLDirective, any, ExtensionType> {
    protected _args: [string, string | number | boolean | object][];
    get args(): [string, string | number | boolean | object][];
    get definitionNode(): DirectiveNode;
    protected constructor(name: string);
    static create(name: string): Directive;
    addArg(name: string, value: string | number | boolean | object): this;
}
